MP4(3)

NAME

MP4AddSystemsTrack - Add an MPEG-4 systems track

SYNTAX

#include <mp4.h>

MP4TrackId MP4AddSystemsTrack(
    MP4FileHandle hFile,
    const char* type
)

ARGUMENTS

hFile
    Specifies the mp4 file to which the operation applies.

type
    Specifies the type of track to be added.

RETURN VALUES

Upon success, the track id of the new track. Upon an error, MP4_INVALID_TRACK_ID.

DESCRIPTION

MP4AddSystemsTrack adds an MPEG-4 Systems track to the mp4 file. Note this should not be used to add OD or scene tracks, MP4AddODTrack() and MP4AddSceneTrack() should be used for those purposes. Other known MPEG-4 System track types are:

MP4_CLOCK_TRACK_TYPE
MP4_MPEG7_TRACK_TYPE
MP4_OCI_TRACK_TYPE
MP4_IPMP_TRACK_TYPE
MP4_MPEGJ_TRACK_TYPE

SEE ALSO

MP4(3)